package com.alibaba.druid.sql.dialect.spark.ast;

import com.alibaba.druid.sql.ast.SQLObjectImpl;
import com.alibaba.druid.sql.dialect.spark.visitor.SparkVisitor;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;

public abstract class SparkSqlObjectImpl extends SQLObjectImpl implements SparkSqlObject {
   protected void accept0(SQLASTVisitor v) {
      if (v instanceof SparkVisitor) {
         this.accept0((SparkVisitor)v);
      } else {
         throw new IllegalArgumentException("not support visitor type : " + v.getClass().getName());
      }
   }

   public abstract void accept0(SparkVisitor var1);
}
